Update zigbee2mqtt.sh

follow 311ea070b1
This commit is contained in:
tteckster 2023-11-15 07:50:51 -05:00 committed by GitHub
parent 3fd87569df
commit 634283c04e
No known key found for this signature in database
GPG Key ID: 4AEE18F83AFDEB23
1 changed files with 13 additions and 1 deletions

View File

@ -94,7 +94,13 @@ function update_script() {
exit 1
}
echo "Initiating update"
echo "Checking if any changes were made to package-lock.json..."
git checkout package-lock.json || {
echo "Failed to check package-lock.json."
exit 1
}
echo "Initiating update..."
if ! git pull; then
echo "Update failed, temporarily storing changes and trying again."
git stash && git pull || (
@ -109,6 +115,12 @@ function update_script() {
exit 1
}
echo "Building..."
npm run build || {
echo "Failed to build new version."
exit 1
}
echo "Restoring configuration..."
cp -R data-backup/* data || {
echo "Failed to restore configuration."